# Environment Setup

as of 2023-09


1. nodejs
---------

- Downloaded version `node-v18.18.0-linux-x64` and put the `node-v18.18.0-linux-x64/bin` into the path via `~/.config/fish/config.fish`
- Installed yarn as package manager (Source `https://yarnpkg.com/getting-started/install`)
  - `corepack enable`

2. expo
-------

(Source `https://reactnative.dev/docs/environment-setup`)

- `yarn create expo-app SwimTracker`

- Starting with `yarn start -w` doesn't work and suggests runnig
  `npx expo install react-native-web react-dom @expo/webpack-config`


3. Run
------
npx expo start -w


4. Install Dependencies
-----------------------
use `npx expo install` instead of `yarn add` !


# Redux stuff
- react-redux
- redux-persist
- @react-native-async-storage/async-storage

# Translation
i18n-js
expo-localization


react-native-gesture-handler
react-native-reanimated
expo-app-loading # TODO deprecated
@react-navigation/native
@react-navigation/stack
react-native-safe-area-context # to not cover status bar etc
react-native-screens # not used directly, but somehow required

# Data handling
msgpack-lite
immutable
reconnecting-websocket

#  Webdav reponse parsing
react-xml-parser


# Graph
react-native-svg

# Time since


# to be replaced
react-native-swipe-list-view
